From 6d3c0da40095fad1dc92330c904a4bf639bf31b5 Mon Sep 17 00:00:00 2001
From: Phong Vo <pvo@apm.com>
Date: Tue, 24 Nov 2015 17:28:48 +0700
Subject: [PATCH] config: add config-centos-sig

This patch adds SIG-specific config to allow overwriting default config
options.

v2: merging config-centos-sig into final config from kernel-aarch64.spec
    instead of Makefile.config

Signed-off-by: Phong Vo <pvo@apm.com>
---
 SOURCES/config-centos-sig | 15 +++++++++++++++
 SPECS/kernel-aarch64.spec |  3 ++-
 2 files changed, 17 insertions(+), 1 deletion(-)
 create mode 100644 SOURCES/config-centos-sig

diff --git a/SOURCES/config-centos-sig b/SOURCES/config-centos-sig
new file mode 100644
index 0000000..64a4f65
--- /dev/null
+++ b/SOURCES/config-centos-sig
@@ -0,0 +1,15 @@
+# This file is for SIG members to add additional configuration options
+# common to CentOS SIG but not configured in other config files
+
+# Mailbox
+CONFIG_MAILBOX=y
+# CONFIG_PL320_MBOX is not set
+# CONFIG_PCC is not set
+CONFIG_XGENE_SLIMPRO_MBOX=m
+CONFIG_I2C_XGENE_SLIMPRO=m
+CONFIG_SCSI_MPT2SAS=m
+CONFIG_SCSI_MPT2SAS_MAX_SGE=128
+CONFIG_SCSI_MPT2SAS_LOGGING=y
+CONFIG_SCSI_MPT3SAS=m
+CONFIG_SCSI_MPT3SAS_MAX_SGE=128
+CONFIG_SCSI_MPT3SAS_LOGGING=y
diff --git a/SPECS/kernel-aarch64.spec b/SPECS/kernel-aarch64.spec
index 83aac73..cc681ef 100644
--- a/SPECS/kernel-aarch64.spec
+++ b/SPECS/kernel-aarch64.spec
@@ -678,7 +678,8 @@ rm -f kernel-%{version}-*debug.config
 # now run oldconfig over all the config files
 for i in *.config
 do
-  mv $i .config
+# first override default config options with Sig options
+  perl merge.pl config-centos-sig $i > .config
   Arch=`head -1 .config | cut -b 3-`
   %{make} ARCH=$Arch listnewconfig | grep -E '^CONFIG_' >.newoptions || true
 %if %{listnewconfig_fail}
-- 
2.6.0

